Subject: Re: Deprecated UsePrivilegeSeparation option hard coded in client

From: Rudolf Vallo <[email-masked]>
Date: Fri, 4 Apr 2025 15:15:43 +0200

Hi,

I confirm that even on Win11 -> this message remains displayed, see 
screenshot. It cannot be removed from the config because it is generated 
by the X2GO client.

How reproducible: Just install X2Go client(4.1.2.2-2020.02.13) and 
connect to the server. I currently have XFCE Ubuntu 20.04.

RV

On Sat, 23 Feb 2019 09:01:07 -0700 Orion Poplawski <[email-masked]> wrote:

 > Package: x2goclient
 >
 >
 > https://bugzilla.redhat.com/show_bug.cgi?id=1680283
 >
 > Bug ID: 1680283
 > Summary: Deprecated UsePrivilegeSeparation option hard coded in
 > client
 > Product: Fedora
 > Version: 29
 > Status: NEW
 > Component: x2goclient
 > Assignee: [email-masked]
 > Reporter: [email-masked]
 > QA Contact: [email-masked]
 > CC: [email-masked]
 > Target Milestone: ---
 > Classification: Fedora
 >
 >
 >
 > Description of problem:
 >
 > Every time I start an x2go session from home to work, I get this 
error in my
 > message log:
 >
 > Feb 12 08:24:03 zooty sshd[3479]: rexec line 2: Deprecated option
 > UsePrivilegeSeparation
 >
 > Looking in all the files installed by all the x2go related rpm packages,
 > I find
 > this:
 >
 > fgrep -n UsePrivilegeSeparation `rpm -q --list $i` 2>/dev/null
 > Binary file /usr/bin/x2goclient matches
 >
 > Version-Release number of selected component (if applicable):
 > x2goclient-4.1.2.1-1.fc29.x86_64
 >
 >
 > How reproducible:
 > 100%
 >
 > Steps to Reproduce:
 > 1.start x2go session
 > 2.see error show up in log
 > 3.
 >
 > Actual results:
 > log error
 >
 > Expected results:
 > no log error
 >
 > Additional info:
 > Don't know when they will really remove the option, but I presume 
x2go will
 > cease functioning when it becomes an error rather than a deprecation
 > warning.
 >
 > --